
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android中如何使用Java Mail API发送邮件 / iVAN</title>

    <meta name="description" content="Android中如何使用Java Mail API发送邮件 最近在考虑为已经有的一个应用程序增加一个用户反馈的功能,用户可以通过反馈功能将用户的意见和建议.程序出现的问题以一种更符合用户习惯的方式反馈回来.网上也有一些实现好的反馈程序的服务,包括bug的提交.程序的建议.程序使用中的问题,但是这样的服务基本上不是完全开源和免费的,并且我对程序反馈的定位还是用户可以把他的想法通过写文字的方法发送回来就可以(不需要记录崩溃时的系统状况),所以还是决定在完全了解实现机制的基础上来实现反馈功能. 采用发送邮件的方式不需要自己构建服务器,同时也符合我对反馈的管理习">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android中如何使用Java Mail API发送邮件</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>最近在考虑为已经有的一个应用程序增加一个用户反馈的功能，用户可以通过反馈功能将用户的意见和建议、程序出现的问题以一种更符合用户习惯的方式反馈回来。网上也有一些实现好的反馈程序的服务，包括bug的提交、程序的建议、程序使用中的问题，但是这样的服务基本上不是完全开源和免费的，并且我对程序反馈的定位还是用户可以把他的想法通过写文字的方法发送回来就可以（不需要记录崩溃时的系统状况），所以还是决定在完全了解实现机制的基础上来实现反馈功能。</p>
<p>采用发送邮件的方式不需要自己构建服务器，同时也符合我对反馈的管理习惯，因此决定采用在通过在应用程序内发送邮件的方式来实现反馈功能。</p>
<p>stackoverflow上的回答http://stackoverflow.com/a/2033124/1767800基本给出了在Android中实现在应用程序内部发送邮件的方法，在阅读该代码的时候我一直在找smtp是如何认证的。后来发现该实现方法中GmailSender直接继承了javax.mail.Authenticator类，实现了getPasswordAuthentication方法，并且通过Session.getDefaultInstance(props, this)（getDefaultInstance(Properties props, Authenticator authenticator) ）语句在建立session的同时将authenticator属性写入。</p>
<p>为了实现在Android的应用程序内部发送邮件，其中有两点可能的修改需要注意：</p>
<p>1.该回答使用的是Gmail账户作为发送邮件的账户，如果采用其它的账户需要对发送邮件服务器和端口号进行单独的设置。</p>
<p>对于126或者163邮箱而言，只需要将properties设置的部分修改为：</p>
<pre>
Properties props = new Properties();
        props.setProperty("mail.transport.protocol", "smtp");
        props.setProperty("mail.host", mailhost);
        props.put("mail.smtp.auth", "true");
        props.put("mail.smtp.port", "25");</pre>
<p>参考：http://www.cnblogs.com/peakzheng/archive/2012/02/04/2338671.html</p>
<p>2.需要将UI线程（主线程）中的发送邮件操作转移到单独的线程进行处理</p>
<p>Google在honeycomb的发布版之后就对主线程中的操作进行了更加严格的要求。为了保证用户体验，在主线程中不能网络数据传输操作，因为在主线程中进行网络数据传输可能会带来主界面的长时间不响应用户的点击操作，从而带来不好的用户体验（参考）。对于轻量级的网络操作，Android系统中，通常通过AsyncTask类来实现。</p>
<p>查看本栏目更多精彩内容：http://www.bianceng.cnhttp://www.bianceng.cn/OS/extra/</p>
<p>按说Android在高版本的系统中对应用程序在主界面访问网络的操作都会提示android.os.NetworkOnMainThreadException错误，但是在使用Java Mail API进行应用程序内的邮件发送时，我遇到的情况是在2.3版本的模拟器上运行程序，接收方可以收到发送的邮件。同样的代码在在4.2.2版本的手机上却无法成功发送邮件，在Eclipse下的logcat界面中没有任何错误提示。stackoverflow上的回答http://stackoverflow.com/a/2033124/1767800后也有人给出了类似的评论。</p>
<p>但是，在将sender.sendMail()函数转移到asyncTask类中之后，在4.2.2的手机中也可以成功发送邮件了。具体实现是：</p>
<p>1）新建一个继承自AsyncTask的类</p>
<pre>
class SendMailTask  extends AsyncTask&lt;URL, Integer, Long&gt; {
    MailSender sender;
    public SendMailTask(MailSender sender) {
        // TODO Auto-generated constructor stub
        this.sender=sender;
    }
    protected Long doInBackground(URL... urls) {   

        long totalSize = 0;
        try {
            this.sender.sendMail("This is Subject",
                    "This is Body",
                    "senderAddress",
                    "receiverAddress");
        } catch (Exception e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }
        return totalSize;
    }   

    protected void onProgressUpdate(Integer... progress) {
    }   

    protected void onPostExecute(Long result) {
    }
}</pre>
<p>2）通过如下语句发送邮件</p>
<pre>
new SendMailTask(sender).execute();</pre>
<p>通过gmail接收的邮件如下图所示</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMVpGMTYyNDctMC5qcGc=.jpg"></p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索邮件<br />
                    ，                线程<br />
                    ，                程序<br />
                    ，                logcat<br />
                    ，                应用程序<br />
                    ，                doinbackground<br />
                    ，                stackoverflow<br />
                    ，                android session<br />
                    ，                sender<br />
                    ，                android 邮件<br />
                    ，                Gmail api 邮件<br />
                    ，                java邮件发送<br />
                    ，                java发送邮件<br />
                                    props<br />
                                    java mail 发送邮件、spring mail 发送邮件、php mail 发送邮件、mail s 发送邮件、javamail发送html邮件，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 07:48:21</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.iamivan.net/tag/%e5%ba%94%e7%94%a8%e7%a8%8b%e5%ba%8f/" title="应用程序">应用程序</a>, <a href="https://www.iamivan.net/tag/%e9%82%ae%e4%bb%b6/" title="邮件">邮件</a>, <a href="https://www.iamivan.net/tag/sender/" title="sender">sender</a>, <a href="https://www.iamivan.net/tag/%e7%ba%bf%e7%a8%8b/" title="线程">线程</a>, <a href="https://www.iamivan.net/tag/android-%e9%82%ae%e4%bb%b6/" title="android 邮件">android 邮件</a>, <a href="https://www.iamivan.net/tag/logcat/" title="logcat">logcat</a>, <a href="https://www.iamivan.net/tag/props/" title="props">props</a>, <a href="https://www.iamivan.net/tag/java%e9%82%ae%e4%bb%b6%e5%8f%91%e9%80%81/" title="java邮件发送">java邮件发送</a>, <a href="https://www.iamivan.net/tag/java%e5%8f%91%e9%80%81%e9%82%ae%e4%bb%b6/" title="java发送邮件">java发送邮件</a>, <a href="https://www.iamivan.net/tag/gmail%c2%a0api%c2%a0%e9%82%ae%e4%bb%b6/" title="Gmail&nbsp;api&nbsp;邮件">Gmail&nbsp;api&nbsp;邮件</a>, <a href="https://www.iamivan.net/tag/stackoverflow/" title="stackoverflow">stackoverflow</a>, <a href="https://www.iamivan.net/tag/doinbackground/" title="doinbackground">doinbackground</a>, <a href="https://www.iamivan.net/tag/android-session/" title="android session">android session</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android中如何使用Java Mail API发送邮件的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM1eOoM.html" rel="bookmark">Java Mail API及其应用 &mdash;&mdash; 一个邮件列表服务器的实现 （一）（转贴）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				服务器|邮件列表 Java Mail API 是Sun开发的最新标准扩展API之一,它给Java应用程序开发者提供了独立于平台和协议的邮件/通讯解决方案.本文介绍该API的核心机制,并通过一个邮件转发服务器(邮件列表服务器)演示其具体用法. Java Mail API的开发是Sun为Java开发者提供公用API框架的持续努力的良好例证.提倡公用框架,反对受限于供应商的解决方案,充分预示着一个日益开放的开发环境的建立. 在email通讯领域,面向最终应用的开发者(以及用户)已经能够购买到最适合他们			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMg5nAz.html" rel="bookmark">Java Mail API及其应用 &mdash;&mdash; 一个邮件列表服务器的实现 （三）（转贴）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				服务器|邮件列表 相关资源1．Java Mail API软件包下载(版本1.1.2) ftp://usmt.java.sun.com/pub/javamail/tyo39/javamail1_1_2.zip 缺省POP3实现软件包下载: ftp://usmt.java.sun.com/pub/javamial/tyo39/pop31_1.zip 以上文件也可以从Sun的Java Mail API主页下载 http://java.sun.com/products/javamail/ 2．JavaB			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnyQrM.html" rel="bookmark">Java Mail API及其应用 &mdash;&mdash; 一个邮件列表服务器的实现 （二）（转贴）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				服务器|邮件列表 邮件列表服务经常用于为工作组提供基于email的讨论环境,订阅者通过它讨论共同感兴趣的问题. 本文提供的示例程序ListServer是一个简单的邮件列表转发服务器:它从指定帐号读取新邮件并发送给所有订阅者.Java Mail API不仅使得实现其基本功能相当简单(使用缺省的POP3和SMTP),而且保证了程序易于支持任何可能遇到的系统环境. 运行该程序需要包含以下支持文件:Java Mail (mail.jar).JAF(activation.jar)以及缺省的POP3支持(p			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvrnjAM.html" rel="bookmark">Android 中的 Effective Java&lpar;速查表&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是Android 中的 Effective Java(速查表), Effective Java 是一本被广泛认可的著作,它指明了在写 Java 代码时兼顾可维护性与效率的方式.Android 也是使用 Java 来开发的,这意味着前书中的所有建议仍旧可用,真的是这样吗?并不尽然.某些同学 认为书中的&quot;大部分&quot;建议都不适用于 Android 开发,但我认为并不是这样.我承认书中的部分建议确实不适用,因为并非所有 Java 特性都有针对 Android 优化(比如说枚举,序列化等等			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1rlKjp.html" rel="bookmark">android 中 如何通过java代码调用style样式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android 中 如何通过java代码调用style样式 平时做开发,通常style样式直接在xml布局文件中直接调用,如果我想直接在java代码中通过动态加载来设置,是否可以?通过查阅资料,很多说不可以,解决方式是把style中的逐条信息加载设置,还有其他途径可以设置吗? 解决方案 无其他方式无其他方式无其他方式 解决方案二: 我们之前的一个项目也尝试过在java里面动态加载style,最后也放弃了,这个确实做不到,楼主想想其它方法吧 解决方案三: 多谢,各位,目前我没有发现动态加			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdyXZNz.html" rel="bookmark">电子邮件-Java Mail API新的应用程序接口在哪里下载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Java Mail API新的应用程序接口在哪里下载 /* To change this license header, choose License Headers in Project Properties. To change this template file, choose Tools | Templates and open the template in the editor. / package usepop3client; import javax.mail.; i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp50ymM.html" rel="bookmark">Java Mail API及其应用 &mdash;&mdash; 一个邮件列表服务器的实现 （四）（转贴）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				服务器|邮件列表 附录:ListServer.java/*** 类ListServer提供基本的邮件列表服务功能:读取指定邮件帐号的所有新邮件,然后转发给* 在emailListFile文件中指定的所有邮件帐号(订阅者).emailListFile中的邮件帐号格式* 为每一行一个邮件帐号.*/import java.util.*;import java.io.*; import javax.mail.*;import javax.mail.internet.*;import javax.acti			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bElL6oz.html" rel="bookmark">Java中的Timer和TimerTask在Android中的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在开发中我们有时会有这样的需求,即在固定的每隔一段时间执行某一个任务.比如UI上的控件需要随着时间改变,我们可以使用Java为我们提供的计时器的工具类,即Timer和TimerTask. Timer是一个普通的类,其中有几个重要的方法:而TimerTask则是一个抽象类,其中有一个抽象方法run(),类似线程中的run()方法,我们使用Timer创建一个他的对象,然后使用这对象的schedule方法来完成这种间隔的操作. schedule方法有三个参数 第一个参数就是TimerTask类型的对象			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjLW2mp.html" rel="bookmark">Android中悬浮窗口的实现原理和示例代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 用了我一个周末的时间,个中愤懑就不说了,就这个问题,我翻遍全球网络没有一篇像样的资料,现在将实现原理简单叙述如下: 调用WindowManager,并设置WindowManager.LayoutParams的相关属性,通过WindowManager的addView方法创建View,这样产生出来的View根据WindowManager.LayoutParams属性不同,效果也就不同了.比如创建系统顶级窗口,实现悬浮窗口效果! WindowManager的方法很简单,基本用到的就三个addView			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvK98p.html" rel="bookmark" class="title">浏览器默认样式&lpar;user agent stylesheet&rpar;&plus;cssreset</a>
					<div>
						每种浏览器都有一套默认的样式表,即user agent stylesheet,在写网页时,没有指定的样式,按浏览器内置的样式表来渲染.这是合理的,像word中也有一些预留样式,可以让我们的排版更美观整 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7QOdM.html" rel="bookmark" class="title">Python编程之属性和方法实例详解</a>
					<div>
						  本文实例讲述了Python编程中属性和方法使用技巧.分享给大家供大家参考.具体分析如下: 一.属性 在python中,属性分为公有属性和私有属性,公有属性可以在类的外部调用,私有属性不能在类的外部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYQ2QM.html" rel="bookmark" class="title">如何在模式窗口关闭时刷新父窗口</a>
					<div>
						父窗口|刷新 在项目经常会遇到这么一种情况,要在弹出的窗口里面修改父页面中的数据.本文以模式窗口为例,说明如何在更新模式窗口页面之后刷新父窗口的内容. 在一般的情况下,模式窗口的关闭并不会刷新父窗口, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMy8ndb.html" rel="bookmark" class="title">ASP&period;NET 2&period;0服务器控件之处理回传数据</a>
					<div>
						asp.net|服务器|控件|数据 为自定义服务器控件实现事件,是一个比较复杂的过程.开发人员不仅需要根据上一篇文章中介绍的方法,实现捕获回传事件,而且有时候还需要参与回传数据处理过程.本文将通过典型 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDVXXM.html" rel="bookmark" class="title">淘宝客高手必备的14大WordPress插件</a>
					<div>
						做淘宝客相信没有人不知道WP的.WordPress一款是用PHP语言和MySQL数据库开发的开源程序.由于WP的安装和使用都非常简单,并且功能非常强大,可使用的插件和模板数量非常庞大,目前WordPr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBLdAb.html" rel="bookmark" class="title">集成技术：&period;NET单挑J2EE</a>
					<div>
						关于集成技术方面,我本不想比较,其实所有的开发者都明白一个道理,微软的开发平台天生就具有集成的优势,其实不用战斗,这场战役已经胜负明晰了,.NET身出名门,它在这场战斗胜利,我想很多人不会持太大的歧义 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A9rnp.html" rel="bookmark" class="title">sysdba登录不需要密码验证吗</a>
					<div>
						sysdba不需要密码验证竟然可以直接登录,这还有安全可言吗? C:\Users&gt;sqlplus /nolog SQL*Plus: Release 11.2.0.1.0 Production o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yK2Bz.html" rel="bookmark" class="title">如何把一台电脑同时两人同时使用</a>
					<div>
						随着近几年电脑技术的不断发展,电脑的性能已经开始呈现出严重过剩的状态,尤其在CPU方面,双核或四核已经成为目前的标配,但很少有人能够完全利用上其全部性能,过多的核心无疑白白浪费了.那么如何HOLD住电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7Lx7M.html" rel="bookmark" class="title">360极速浏览器收藏夹导入教程</a>
					<div>
						  360极速浏览器收藏夹导入教程: 1.打开收藏夹菜单,位置在左上角五角星图标 2.选择管理收藏夹 3.这个时候收藏夹管理器打开了,在&quot;整理&quot;按钮中选择:导出.导入收藏夹 4.从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywZ1Zz.html" rel="bookmark" class="title">HyperCam基本使用方法</a>
					<div>
						HyperCam是一套专门用来捕捉您的操作画面的程序,包括鼠标的移动轨迹与音效,然后将它保存为标准的AVI视频文件让您播放,很适合用来制作教学课程或演示,您可以轻易地依照平常的操作方式,将步骤一步步地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNg1KM.html" rel="bookmark" class="title">迅雷9&period;1&period;21更新了什么&quest;迅雷9&period;1&period;21更新内容</a>
					<div>
						  迅雷昨日推出迅雷9.1.21正式版本,这次更加优化,跟以往有着很大的不同.因此还不是很了解的用户,就让小编给大家详细的讲讲吧. 迅雷9.1.21更新了什么?迅雷9.1.21更新内容一览 - 右侧浏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEm2Bp.html" rel="bookmark" class="title">对象-angularJS怎么实现filter与orderBy，</a>
					<div>
						问题描述 angularJS怎么实现filter与orderBy, 我有一个content数据,是一个长度为10的数组:array[10],这10个数据每一个array里面包含两个object:arr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVyaZb.html" rel="bookmark" class="title">vb编程-VB想添加时间单位（如分秒时）的选项</a>
					<div>
						问题描述 VB想添加时间单位(如分秒时)的选项 目前的控制程序没有单位的选项,想添加一个 现有的程序时间单位默认是毫秒无法更改 请教下如何增加时间单位的选项					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YdqoM.html" rel="bookmark" class="title">Nginx模块参考手册：第三方模块&lpar;3rd Party Modules&rpar;</a>
					<div>
						这些模块虽然没有正式被官方支持,但是可以http://www.aliyun.com/zixun/aggregation/17185.html&quot;&gt;帮助用户完成不少的功能.使用过程中请自行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32LAkz.html" rel="bookmark" class="title">c&plus;&plus; 数据结构-数据结构c＋＋单链表问题 急！！</a>
					<div>
						问题描述 数据结构c++单链表问题 急!! 5C SinglyList&amp; operator*=(SinglyList &amp;list) //仅保留那些也包含在list中的元素,集合交 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8knvxM.html" rel="bookmark" class="title">关于在平板电脑上使用VS</a>
					<div>
						问题描述 我公司是做工业机械臂的,现在上面说我们的交互系统做的不好,要我们做个美观实用的手控器,然后老大就考虑说使用平板电脑上装VS,然后通过平板电脑跟机械臂进行usb-232通讯,请问这个方案可行么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7DKXp.html" rel="bookmark" class="title">c&plus;&plus;-VISUA C&plus;&plus;记事本列出打开过的文件</a>
					<div>
						问题描述 VISUA C++记事本列出打开过的文件 VISUA C++记事本列出打开过的文件,关键是怎么记录和添加菜单,不使用资源能实现么? 解决方案 http://blog.sina.com.cn/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYKdjp.html" rel="bookmark" class="title">ios-有没有人会搜索全部log日志？</a>
					<div>
						问题描述 有没有人会搜索全部log日志? 目前的Xcode中的日志运行都正常 有没有能搜索全部这些log的方法? 我记得以前发现过一个错误,不记得是哪个了,我要找到错误的URL地址. 解决方案 推荐使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEBLkM.html" rel="bookmark" class="title">VS2012 MVC3项目 启动调试报错 0x80040154</a>
					<div>
						问题描述 最近自己学习MVC的时候在调试时发生这个错误.项目编译是通过的,没有报错,就是调试时就弹出如上图中的错误.有人知道这是什么原因吗?一开始创建项目时调试都没问题,可以调试出数据,就是那个Mic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZmeop.html" rel="bookmark" class="title">创新计算 赋能人工智能 AICC大会 强力来袭</a>
					<div>
						要说现在业界什么最火,人工智能(简称AI)肯定是&quot;不二之选&quot;. 2017年7月,国务院印发&lt;新一代人工智能发展规划&gt;,明确将人工智能作为未来国家重要的发展战略. 人工智 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Yqnoz.html" rel="bookmark" class="title">甲骨文宣布将收购网络虚拟软件开发商Xsigo Systems</a>
					<div>
						7月30日晚间消息,甲骨文今日宣布,将收购网络虚拟软件开发商Xsigo Systems. Xsigo Systems创建于2004年,总部位于加州圣何塞,主要开发网络虚拟软件,可帮助客户将任何一台服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgw8w8M.html" rel="bookmark" class="title">曾经热闹的网络招聘正日渐式微</a>
					<div>
						曾经热闹的网络招聘正日渐式微,海量信息.复杂分析.信息不匹配,让求职者和企业人力资源部门仿佛都在&quot;大海捞针&quot;,耗费了精力,却难有所获.与之相比,一种面向中低端的网络猎头服务,正在北 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7Aj4b.html" rel="bookmark" class="title">动态地址rewrite伪静态，然后301跳转到伪静态时死循环解决办法</a>
					<div>
						问题背景:矿秘书网的历史遗留问题,刚开始由于各种问题,一些动态页面都是用了?id=参数的形式,对seo/seo.html&quot; target=&quot;_blank&quot;&gt;搜索引擎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlyWZp.html" rel="bookmark" class="title">VBS教程：VBscript属性-HelpContext 属性&lowbar;vbs</a>
					<div>
						HelpContext 属性 设置或返回帮助文件主题的上下文 ID. object.HelpContext [= contextID] 参数 object 必选项.Err 对象. contextID  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOn6W5p.html" rel="bookmark" class="title">Struts的action提交后，结果页面刷新报错的问题</a>
					<div>
						问题描述 经过如下:struts有一个action,是显示用户列表的,在首页通过此连接来显示所有用户列表,通过hibernate查询后,将list存放在request中,然后在结果页面,通过取得req ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baq62Nb.html" rel="bookmark" class="title">智能家居不是&OpenCurlyDoubleQuote;连连看&rdquo;</a>
					<div>
						回到 1993 年,http://www.aliyun.com/zixun/aggregation/13592.html&quot;&gt;剑桥大学,研究人员利用一个网络摄像头,查看咖啡壶里是否有咖啡 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJQWLM.html" rel="bookmark" class="title">PHP简单实现无限级分类的方法&lowbar;php技巧</a>
					<div>
						本文实例讲述了PHP简单实现无限级分类的方法.分享给大家供大家参考,具体如下: 数据库结构: CREATE TABLE IF NOT EXISTS `city` ( `id` int(11) NOT  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgOPYz.html" rel="bookmark" class="title">北京国资中心入主中信建投</a>
					<div>
						中信证券今日公告称,该公司已通过在北京金融资产交易所挂牌转让的方式,出售所持中信建投53%的股权,成交价为85.86亿元.其中,北京国资中心受让45%的股权,成为中信建投第一大股东. 公告显示,中信建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NJndp.html" rel="bookmark" class="title">2015年度互联网安全报告发布 移动支付成重灾区</a>
					<div>
						平均一台电脑中毒数十次?遭遇网络诈骗只有一成用户报案?1月21日,腾讯安全发布&lt;2015年度互联网安全报告&gt;(简称&quot;报告&quot;),报告中打破公众传统认知的内容十分引人关注. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmdRrlM.html" rel="bookmark" class="title">反思控制系统的安装事宜</a>
					<div>
						一直以来,数据中心设运维管理团队有一项非常重要的工作:100%保障数据中心持续运行,管理系统中所有变量,保障系统安全运行,包括环境基础设施. 对于运维管理团队而言,让他们最担心的是对设备进行重新布线, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
